FreeBSD : gaim -- Content-Length header denial-of-service vulnerability (ad61657d-26b9-11d9-9289-000c41e2cdad)

This script is Copyright (C) 2005-2013 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

Sean infamous42md reports :

When a remote server provides a large 'content-length' header value,
Gaim will attempt to allocate a buffer to store the content, however
this allocation attempt will cause Gaim to crash if the length exceeds
the amount of possible memory. This happens when reading profile
information on some protocols. It also happens when smiley themes are
installed via drag and drop.

See also :

http://gaim.sourceforge.net/security/?id=6
http://www.nessus.org/u?1c259a1d

Solution :

Update the affected packages.

Risk factor :

High

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 19078 (freebsd_pkg_ad61657d26b911d99289000c41e2cdad.nasl)

Bugtraq ID:

CVE ID:

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now